/**
* Copyright Zendesk, Inc.
*
* Use of this source code is governed under the Apache License, Version 2.0
* found at http://www.apache.org/licenses/LICENSE-2.0.
*/
import styled, { css } from 'styled-components';
import { componentStyles, getColor } from '@zendeskgarden/react-theming';
import { StyledHeaderRow } from './StyledHeaderRow.js';

const COMPONENT_ID = 'tables.head';
const colorStyles = _ref => {
  let {
    theme
  } = _ref;
  const borderColor = getColor({
    variable: 'border.default',
    theme
  });
  const backgroundColor = getColor({
    variable: 'background.default',
    theme
  });
  return css(["box-shadow:inset 0 -", " 0 ", ";background-color:", ";& > ", ":last-child{border-bottom-color:transparent;}"], theme.borderWidths.sm, borderColor, backgroundColor, StyledHeaderRow);
};
const stickyStyles = () => {
  return css(["position:sticky;top:0;z-index:1;"]);
};
const StyledHead = styled.thead.attrs({
  'data-garden-id': COMPONENT_ID,
  'data-garden-version': '9.7.0'
}).withConfig({
  displayName: "StyledHead",
  componentId: "sc-spf23a-0"
})(["", " ", " ", ";"], props => props.$isSticky && stickyStyles(), colorStyles, componentStyles);

export { StyledHead };
